## com.bbn.openmap.layer.rpf
Class RpfTocEntry

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfTocEntry

public class RpfTocEntry
extends java.lang.Object

Reads and holds an entry in the RPF table of contents file.

Field Summary
`boolean` `Cib`
`java.lang.String` `compressionRatio`
`RpfCoverageBox` `coverage`
`RpfFrameEntry[][]` `frames`
`int` `horizFrames`
`double` `horizInterval` Degrees/pixel.
`double` `horizResolution` meters/pixel.
`RpfProductInfo` `info` Not determined at readtime.
`java.lang.String` `producer`
`java.lang.String` `scale`
`char` `version`
`int` `vertFrames`
`double` `vertInterval` Degrees/pixel.
`double` `vertResolution` meters/pixel.
`char` `zone`

Constructor Summary
`RpfTocEntry(BinaryFile binFile, int entryNumber)`
`RpfTocEntry(BinaryFile binFile, int TOCNumber, int entryNumber)`

Method Summary
`protected RpfFrameEntry` `getFrame(int row, int column)`
`protected RpfFrameEntry[][]` `getFrames()`
`protected boolean` `isFramesLoaded()`
`void` `read(BinaryFile binFile)`
`void` `setInfo(java.lang.String seriesCode)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vertInterval

    public double vertInterval

  Degrees/pixel.

### horizInterval

    public double horizInterval

  Degrees/pixel.

### vertResolution

    public double vertResolution

  meters/pixel.

### horizResolution

    public double horizResolution

  meters/pixel.

### horizFrames

    public int horizFrames

### vertFrames

    public int vertFrames

### frames

    public RpfFrameEntry[][] frames

### zone

    public char zone

### version

    public char version

### Cib

    public boolean Cib

### compressionRatio

    public java.lang.String compressionRatio

### producer

    public java.lang.String producer

### scale

    public java.lang.String scale

### coverage

    public RpfCoverageBox coverage

### info

    public RpfProductInfo info

  Not determined at readtime. RpfTocHandler sets this later, when the frames are evaluated for their existance.

Constructor Detail

### RpfTocEntry

    public RpfTocEntry(BinaryFile binFile,
                       int entryNumber)
                throws java.io.EOFException,
                       FormatException

### RpfTocEntry

    public RpfTocEntry(BinaryFile binFile,
                       int TOCNumber,
                       int entryNumber)
                throws java.io.EOFException,
                       FormatException

Method Detail

### setInfo

    public void setInfo(java.lang.String seriesCode)

### read

    public void read(BinaryFile binFile)
              throws java.io.EOFException,
                     FormatException

  Throws:
    `java.io.EOFException`
    `FormatException`

### isFramesLoaded

    protected boolean isFramesLoaded()

### getFrames

    protected RpfFrameEntry[][] getFrames()

### getFrame

    protected RpfFrameEntry getFrame(int row,
                                     int column)

### toString

    public java.lang.String toString()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details